Bug 189192 - Cups error 'server-error-internal-error'
Cups error 'server-error-internal-error'
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-18 00:32 EDT by david walcroft
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 05:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description david walcroft 2006-04-18 00:32:40 EDT
Description of problem:Unable to change item in http://localhost:631/admin
gives the error 'server-error-internal-error'

Version-Release number of selected component (if applicable): cups-1.1.23-30.2


How reproducible: enter http://localhost:631/admin in a browser go to 'config
printer' try to change any entry.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Any entry does not change to desired entry

Expected results:
settings should change with out an error

Additional info: FIX = 'setenforce 0' allows changes
Comment 1 Tim Waugh 2006-04-18 05:19:16 EDT
Hmm, I don't see that error here.  Could you please show me

1. the SELinux error message ('audit' or 'avc' with lots of technical bits in
it) from /var/log/messages, and
2. the CUPS error from /var/log/cups/error_log

when you get the server-error-internal-error?

Thanks.
Comment 2 david walcroft 2006-04-19 19:45:12 EDT
(In reply to comment #1)
> Hmm, I don't see that error here.  Could you please show me
> 
> 1. the SELinux error message ('audit' or 'avc' with lots of technical bits in
> it) from /var/log/messages, and
> 2. the CUPS error from /var/log/cups/error_log
> 
> when you get the server-error-internal-error?
> 
> Thanks.

THere is no 'avc' or 'audit' errors,only /var/log/cups/error-log:-

D [20/Apr/2006:09:40:37 +1000] ReadClient: 8 POST /admin/ HTTP/1.1
E [20/Apr/2006:09:40:37 +1000] add_printer: Unable to copy PPD file from
/var/spool/cups/00000001 to /etc/cups/ppd/reddwarf.p
pd - Permission denied!
D [20/Apr/2006:09:40:37 +1000] Sending error: server-error-internal-error
D [20/Apr/2006:09:40:37 +1000] ProcessIPPRequest: 8 status_code=500
D [20/Apr/2006:09:40:37 +1000] CloseClient: 10
D [20/Apr/2006:09:40:37 +1000] CloseClient: 8
D [20/Apr/2006:09:40:40 +1000] ReadClient: 6 GET /printers HTTP/1.1
D [

I belive the 'permission denied' is selinux as shown by 'setenforce 0' allowing 
me to change the cups config in http://localhost:631/[admin] [printers].
Comment 3 Tim Waugh 2006-04-20 05:19:34 EDT
Please show me what this command says, as root:

ls -Zd /etc/cups/ppd
Comment 4 david walcroft 2006-04-20 20:11:57 EDT
(In reply to comment #3)
> Please show me what this command says, as root:
> 
> ls -Zd /etc/cups/ppd
> 
drwxr-xr-x  root     sys      system_u:object_r:cupsd_etc_t    /etc/cups/ppd
Comment 5 Tim Waugh 2006-04-21 04:21:52 EDT
What about 'ls -Zd /var/spool/cups'?

Also, do you have the 'audit' package installed?  I'm trying to work out why we
can't see the SELinux deny message.
Comment 6 david walcroft 2006-04-21 20:23:52 EDT
(In reply to comment #5)

david@reddwarf ~]$ rpm -qa audit
audit-1.1.5-1

rwx--x---  root     sys      system_u:object_r:print_spool_t  /var/spool/cups
Comment 7 david walcroft 2006-04-21 22:37:38 EDT
(In reply to comment #5)

david@reddwarf ~]$ rpm -qa audit
audit-1.1.5-1

rwx--x---  root     sys      system_u:object_r:print_spool_t  /var/spool/cups
Comment 8 david walcroft 2006-04-21 22:46:08 EDT
(In reply to comment #7)
Yesterday (21-04-06 1000hr UTC) I ran "/sbin/fixfiles relabel" and it fixed one
or two issues I had when running my machine this a.m including this bug so I
have no problems accessing 'localhost:631/admin'and configuring cups.

Comment 9 Tim Waugh 2006-04-22 05:38:36 EDT
Okay, thanks for testing.

Note You need to log in before you can comment on or make changes to this bug.